VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisimBox.Scene.SceneRoot Class Reference

Scene root node, scene manager for scenes. More...

Inheritance diagram for VisimBox.Scene.SceneRoot:

List of all members.

## Public Member Functions
| SceneRoot ()
| SceneRoot (XmlReader reader)
void | RenderScene (RendererEventArgs args)
| Render scene.
bool | CheckPhysicalCollision (Physics.RigidBody node)
| Performs simple and fast physical collision check for selected rigid body, does not update position change, just collision check.
override void | AddNode (Node node, string name="subnode")
| Adds node to children.
override void | OnNodeAdded (Node tonode, Node newchild)
| Callback from children, reporting it has new child.
override void | OnNodeRemoved (Node fromnode, Node removed)
| Callback from children, reporting child has been removed.
override bool | TimeTick (double time)
| Do a time tick.
void | Clear ()
bool | LoadScene (string filename, string Format="VSB")
| Clear scene and load new one.
bool | ReloadScene ()
| Reloads scene from the disk.
bool | SaveScene ()
| Saves scene to disk using used name (will overwrite the file)
bool | SaveScene (string filename, string Format="VSB")
| Save scene to disk.
override void | WriteInternalData (System.Xml.XmlWriter writer)
| Write internal data of the node to XML, without subnodes (called from WriteXML)
override Node | CreateCopy ()
| creates and returns copy of this node
override bool | ReadInternalData (XmlReader reader)
## Protected Member Functions
void | CheckNodeRemoved (Node newnode)
void | CheckNodeAdded (Node newnode)
## Protected Attributes
DateTime | _LastUpdate
## Properties
string | FileName`[get, set]`
| Filename of the string.
string | SceneName`[get, set]`
| Name of the scene.
string | Author`[get, set]`
| Author of the scene.
string | Version`[get, set]`
| Version.
DateTime | CreationDate`[get, set]`
| Creation date.
DateTime | LastUpdate`[get]`
| Last saved update.
ICamera | MainCamera`[get, set]`
| Main camera of the scene.
Physics.PhysicalScene | PhysScene`[get]`
| Physical scene associated to scene.
override RenderFlags | DefaultRenderFlags`[get]`
| Default render flags for the node (node will be rendered only if flags are correct)

## Detailed Description

Scene root node, scene manager for scenes.

## Constructor & Destructor Documentation

VisimBox.Scene.SceneRoot.SceneRoot | ( |  | ) |

VisimBox.Scene.SceneRoot.SceneRoot | ( | XmlReader | reader | ) |

## Member Function Documentation

override void VisimBox.Scene.SceneRoot.AddNode | ( | Node | node,
|  | string | name = `"subnode"`
| ) |  | `[virtual]`

Adds node to children.

Parameters:

  node | Node
  name | Name (warning, if node already contains node of this name, name will be changed!

Reimplemented from VisimBox.Scene.Node.

void VisimBox.Scene.SceneRoot.CheckNodeAdded | ( | Node | newnode | ) | `[protected]`

void VisimBox.Scene.SceneRoot.CheckNodeRemoved | ( | Node | newnode | ) | `[protected]`

bool VisimBox.Scene.SceneRoot.CheckPhysicalCollision | ( | Physics.RigidBody | node | ) |

Performs simple and fast physical collision check for selected rigid body, does not update position change, just collision check.

Parameters:

  node | Node to perform check

Returns:
  True if node collides on current position

void VisimBox.Scene.SceneRoot.Clear | ( |  | ) |

override Node VisimBox.Scene.SceneRoot.CreateCopy | ( |  | ) | `[virtual]`

creates and returns copy of this node

Returns:
  Copy of the node

Reimplemented from VisimBox.Scene.Node.

bool VisimBox.Scene.SceneRoot.LoadScene | ( | string | filename,
|  | string | Format = `"VSB"`
| ) |  |

Clear scene and load new one.

Parameters:

  filename | Filename of the scene
  Format | required scene format

Returns:
  True if everything went ok

override void VisimBox.Scene.SceneRoot.OnNodeAdded | ( | Node | tonode,
|  | Node | newchild
| ) |  | `[virtual]`

Callback from children, reporting it has new child.

Parameters:

  tonode | Node receiving new node
  newchild | New node

Reimplemented from VisimBox.Scene.Node.

override void VisimBox.Scene.SceneRoot.OnNodeRemoved | ( | Node | fromnode,
|  | Node | removed
| ) |  | `[virtual]`

Callback from children, reporting child has been removed.

Parameters:

  tonode | Node losing child
  newchild | removed node

Reimplemented from VisimBox.Scene.Node.

override bool VisimBox.Scene.SceneRoot.ReadInternalData | ( | XmlReader | reader | ) |

bool VisimBox.Scene.SceneRoot.ReloadScene | ( |  | ) |

Reloads scene from the disk.

Returns:
  True if everything went ok

void VisimBox.Scene.SceneRoot.RenderScene | ( | RendererEventArgs | args | ) |

Render scene.

bool VisimBox.Scene.SceneRoot.SaveScene | ( | string | filename,
|  | string | Format = `"VSB"`
| ) |  |

Save scene to disk.

Parameters:

  filename | Filename of the scene
  Format | required scene format

Returns:
  True if everything went ok

bool VisimBox.Scene.SceneRoot.SaveScene | ( |  | ) |

Saves scene to disk using used name (will overwrite the file)

Returns:
  True if save sucessful

override bool VisimBox.Scene.SceneRoot.TimeTick | ( | double | time | ) | `[virtual]`

Do a time tick.

Parameters:

  time | Elapsed time in seconds

Returns:
  , returns true if this node was changed somehow

Reimplemented from VisimBox.Scene.Node.

override void VisimBox.Scene.SceneRoot.WriteInternalData | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Write internal data of the node to XML, without subnodes (called from WriteXML)

Parameters:

  writer | XML Writer

Reimplemented from VisimBox.Scene.Node.

## Member Data Documentation

DateTime VisimBox.Scene.SceneRoot._LastUpdate`[protected]`

## Property Documentation

string VisimBox.Scene.SceneRoot.Author`[get, set]`

Author of the scene.

DateTime VisimBox.Scene.SceneRoot.CreationDate`[get, set]`

Creation date.

override RenderFlags VisimBox.Scene.SceneRoot.DefaultRenderFlags`[get]`

Default render flags for the node (node will be rendered only if flags are correct)

Reimplemented from VisimBox.Scene.Node.

string VisimBox.Scene.SceneRoot.FileName`[get, set]`

Filename of the string.

DateTime VisimBox.Scene.SceneRoot.LastUpdate`[get]`

Last saved update.

ICamera VisimBox.Scene.SceneRoot.MainCamera`[get, set]`

Main camera of the scene.

Physics.PhysicalScene VisimBox.Scene.SceneRoot.PhysScene`[get]`

Physical scene associated to scene.

string VisimBox.Scene.SceneRoot.SceneName`[get, set]`

Name of the scene.

string VisimBox.Scene.SceneRoot.Version`[get, set]`

Version.

The documentation for this class was generated from the following file:

- SceneRoot.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events